/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var listaOperacionesMasivas = [];

function agregarListaOperacionesMasivas(id) {
    if (document.getElementById("checkbox-operMas-" + id).checked == true) {
        //console.log("Agrego");
        listaOperacionesMasivas.push(id);
    } else {
        var i = listaOperacionesMasivas.indexOf(id);
        //console.log(i);
        if (i !== -1) {
            listaOperacionesMasivas.splice(i, 1);
        }
    }
}//agregarListaOperacionesMasivas

function traerOperacionesMasivas(pm) {
    if (listaOperacionesMasivas.length == 0) {
        document.getElementById("ventanaModalLabelOperaciones").innerHTML = "OPERACIONES MASIVAS";
        document.getElementById("cont_operaciones_masivas").innerHTML = "";

        swal("Alto", "Primero, selecciona algunos alumnos.", "warning");

    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/pagMatOperacionesRapidas',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {pm: pm},
            // especifica si será una petición POST o GET
            type: 'GET',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("ventanaModalLabelOperaciones").innerHTML = "OPERACIONES MASIVAS";
                document.getElementById("cont_operaciones_masivas").innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("cont_operaciones_masivas").innerHTML = respuesta;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("cont_operaciones_masivas").innerHTML = '|°__°|';
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }
} // traerOperacionesMasivas

function ejecutarOperacionesMasivas(pm, oper) {

    $numCua = document.getElementById("nuevo_cuatri").value; //OPER: 1
    $cosMes = document.getElementById("nuevo_costo").value; //OPER: 2
    //OPER: 3 Eliminar alumnos
    if ($numCua == "" & $cosMes == "" & oper < 3) {
        swal("Alto", "Debes llenar el campo, de acuerdo a la operación a realizar.", "warning");
    } else {
        if (oper == 3) {
            if (confirm("Esta seguro de querer Eliminar a los alumnos?")) {
                $.ajax({
                    // la URL para la petición
                    url: '/ControlCeepam/web/app_dev.php/pagMatOperacionesRapidas',
                    // la información a enviar
                    // (también es posible utilizar una cadena de datos)
                    data: {
                        pm: pm, alumnos: listaOperacionesMasivas,
                        oper: oper, numCua: $numCua, cosMes: $cosMes
                    },
                    // especifica si será una petición POST o GET
                    type: 'POST',
                    // el tipo de información que se espera de respuesta
                    dataType: 'html',
                    // código a ejecutar si la petición es satisfactoria;
                    // la respuesta es pasada como argumento a la función
                    beforeSend: function () {
                        document.getElementById("ventanaModalLabelOperaciones").innerHTML = "OPERACIONES MASIVAS";
                        document.getElementById("cont-respuesta-operaciones-masivas").innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
                    },
                    success: function (respuesta) {
                        //alert("Correcto");
                        document.getElementById("cont-respuesta-operaciones-masivas").innerHTML = respuesta;

                        document.getElementById("nuevo_cuatri").value = ""; //OPER: 1
                        document.getElementById("nuevo_costo").value = ""; //OPER: 2

                    },
                    // código a ejecutar si la petición falla;
                    // son pasados como argumentos a la función
                    // el objeto de la petición en crudo y código de estatus de la petición
                    error: function (xhr, status) {
                        alert('Disculpe, existió un problema');
                        document.getElementById("cont-respuesta-operaciones-masivas").innerHTML = '|°__°|';
                    },

                    // código a ejecutar sin importar si la petición falló o no
                    complete: function (xhr, status) {
                        //alert('Petición realizada');
                    }
                });
            } else {
                alert("Se canceló la operación.");
            }


        } else {
            $.ajax({
                // la URL para la petición
                url: '/ControlCeepam/web/app_dev.php/pagMatOperacionesRapidas',
                // la información a enviar
                // (también es posible utilizar una cadena de datos)
                data: {
                    pm: pm, alumnos: listaOperacionesMasivas,
                    oper: oper, numCua: $numCua, cosMes: $cosMes
                },
                // especifica si será una petición POST o GET
                type: 'POST',
                // el tipo de información que se espera de respuesta
                dataType: 'html',
                // código a ejecutar si la petición es satisfactoria;
                // la respuesta es pasada como argumento a la función
                beforeSend: function () {
                    document.getElementById("ventanaModalLabelOperaciones").innerHTML = "OPERACIONES MASIVAS";
                    document.getElementById("cont-respuesta-operaciones-masivas").innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
                },
                success: function (respuesta) {
                    //alert("Correcto");
                    document.getElementById("cont-respuesta-operaciones-masivas").innerHTML = respuesta;
                },
                // código a ejecutar si la petición falla;
                // son pasados como argumentos a la función
                // el objeto de la petición en crudo y código de estatus de la petición
                error: function (xhr, status) {
                    alert('Disculpe, existió un problema');
                    document.getElementById("cont-respuesta-operaciones-masivas").innerHTML = '|°__°|';
                },

                // código a ejecutar sin importar si la petición falló o no
                complete: function (xhr, status) {
                    //alert('Petición realizada');
                }
            });
        }


    }





} // ejecutarOperacionesMasivas

function editarPagoMesMatriculacion(pm) {
    listaOperacionesMasivas = [];

    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/pagMatEditarMes',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {pm: pm},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("ventanaModalLabel").innerHTML = "EDITAR MONTO DE MATRICULACIÓN POR MES";
            document.getElementById("cont_det_esp").innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("cont_det_esp").innerHTML = respuesta;
            $(".alumnoPG").selectpicker();
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("cont_det_esp").innerHTML = '|°__°|';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // editarPagoMesMatriculacion

function agregarAlumnoAlMesMatriculacion(pagMatriculacion) {
    var alumno = document.getElementById("ideAlumnoAgregar").value;
    var numero = document.getElementById("noCuatriSemestre").value;

    if (alumno == "default" | numero == "default") {
        swal("Alto", "Debe elegir un alumno y número de cuatri/semestre", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/pagMatEditarMes',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {pm: pagMatriculacion, ideAlu: alumno, numero: numero, bandera: 1},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("con_res_agregarAlumnoAlMesMatricualcion").innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("con_res_agregarAlumnoAlMesMatricualcion").innerHTML = respuesta;
                editarPagoMesMatriculacion(pagMatriculacion);
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("con_res_agregarAlumnoAlMesMatricualcion").innerHTML = '(°__°)';
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }


} // agregarAlumnoAlMesMatriculacion


function quitarAlumnoAlMesMatriculacion(pagMatriculacion, alumno) {

    if (confirm("¿Está seguro de Eliminar al Alumno?")) {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/pagMatEditarMes',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {pm: pagMatriculacion, ideAlu: alumno, bandera: 2},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("con_res_aux_alum_mat" + alumno).innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("con_res_aux_alum_mat" + alumno).innerHTML = respuesta;
                //editarPagoMesMatriculacion(pagMatriculacion);
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("con_res_aux_alum_mat" + alumno).innerHTML = '(x__x)';
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    } else {

    }


} // quitarAlumnoAlMesMatriculacion